Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 172)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 226)
@@ -4,20 +4,20 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; Trace vertical graphs.
 ;
-; @categories 
+; @categories
 ; Graphics
 ;
-; @param TAB 
+; @param TAB
 ; The field whose we want to make a vertical cut can be 2 kind of thing:
-;         1) An 2d or 3d array. 
-;         If the field is 2d, indicate, with the keyword BOXZOOM, geographic delineations of the boxzoom. 
+;         1) An 2d or 3d array.
+;         If the field is 2d, indicate, with the keyword BOXZOOM, geographic delineations of the boxzoom.
 ;         If the field is 3d, we extract the section on we average possibly before to do the plot.
-;         2)  a structure respecting all criterions specified by litchamp.pro. 
+;         2)  a structure respecting all criterions specified by litchamp.pro.
 ;          See IDL> xhelp,'litchamp'. The array contained in the structure must be 2 or 3d (See case 1)
 ;
 ; ces arguments ne sont pas obligatoires:
-;  
+;
 ;	MAX: valeur maximum que l'on veut prendre en compte dans le trace
 ; des contours. Par defaut on prend le max de tab1 (sur les pts mer)
@@ -26,6 +26,6 @@
 ; des contours. Par defaut on prend le min de tab1 (sur les pts mer)
 ;
-; @keyword BOXZOOM 
-; Vector indicating the geographic zone on which we want to cut the map. 
+; @keyword BOXZOOM
+; Vector indicating the geographic zone on which we want to cut the map.
 ;  If BOXZOOM has :
 ; 1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
@@ -37,24 +37,24 @@
 ; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
 ;
-; @keyword CONTINTERVALLE 
-; When CONTOUR is activated, it is the value between 2 isolines 
-; traced by a trait. So it can be different from the one specified by INTERVALLE which, 
-; in this case, does not control colored isolines in color anymore. If there is noone 
-; specified min, we choose a contour min which goes well with the specified interval! 
-; If this keyword is not specified, we trace 20 isolines from the min to the max. 
+; @keyword CONTINTERVALLE
+; When CONTOUR is activated, it is the value between 2 isolines
+; traced by a trait. So it can be different from the one specified by INTERVALLE which,
+; in this case, does not control colored isolines in color anymore. If there is noone
+; specified min, we choose a contour min which goes well with the specified interval!
+; If this keyword is not specified, we trace 20 isolines from the min to the max.
 ;
 ; @keyword CONTLABEL {type=integer}
 ; When CONTOUR is activated, if n
-; is different of 0, choose the label type corresponding to n cases for 
-; the traced by a traitisolines. To specify the type of label of the 
+; is different of 0, choose the label type corresponding to n cases for
+; the traced by a traitisolines. To specify the type of label of the
 ; colored contour, use LABEL
 ;
 ; @keyword CONTMAX {default=max of the keyword CONTOUR (on ocean points)}
-; When CONTOUR is activated, max value we want to consider in the isoline 
+; When CONTOUR is activated, max value we want to consider in the isoline
 ; traced by a trait's line.
 ;
 ; @keyword CONTMIN {default=min of the keyword CONTOUR (on ocean points)}
-; When CONTOUR is activated, min value we want to consider in the isoline 
-; traced by a trait's line. 
+; When CONTOUR is activated, min value we want to consider in the isoline
+; traced by a trait's line.
 ;
 ; @keyword CONTNLEVEL {default=20}
@@ -63,40 +63,40 @@
 ; CONTLABEL=0).
 ;
-; @keyword CONTOUR 
-; If we want to trace contours of a different field than the one 
-; whose we have the colored drawing (by example E-P in color and QSR in contours). 
+; @keyword CONTOUR
+; If we want to trace contours of a different field than the one
+; whose we have the colored drawing (by example E-P in color and QSR in contours).
 ; It must be a field respecting same characteristics than the argument number one of plt.
 ;
-; @keyword ENDPOINTS 
-; keyword specifying that we want to make a vertical cut in diagonal. Then coordinated of extremities 
-; of these one are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are 
-; coordinates. 
-;
-; @keyword INTERVALLE 
-; Value of an internal between to isoline. If there is none specified min, 
-; we choose a min contour which goes well with the specified interval!. If this keyword is not 
-; specified, we trace 20 isoline from the min to the max. Comment: When CONTOUR is activated, 
-; INTERVALLE only specify the interval between 2 colored isoline. To specify the interval 
+; @keyword ENDPOINTS
+; keyword specifying that we want to make a vertical cut in diagonal. Then coordinated of extremities
+; of these one are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are
+; coordinates.
+;
+; @keyword INTERVALLE
+; Value of an internal between to isoline. If there is none specified min,
+; we choose a min contour which goes well with the specified interval!. If this keyword is not
+; specified, we trace 20 isoline from the min to the max. Comment: When CONTOUR is activated,
+; INTERVALLE only specify the interval between 2 colored isoline. To specify the interval
 ; between 2 isolines traced by a trait, use CONTINTERVALLE.
 ;
-; @keyword INV 
-; Invert the color vector used to color the graph 
+; @keyword INV
+; Invert the color vector used to color the graph
 ;               (without use the black, the white and the used palette)
 ;
 ; @keyword ZRATIO {default=2./3}
-; When the drawing has a zoomed part, it is the size rapport between the zoomed part, 
+; When the drawing has a zoomed part, it is the size rapport between the zoomed part,
 ; hz (zoom height), and the whole drawing, ht (total height).
 ;
 ; @keyword LABEL {default=0}{type=integer}
 ; It choose the label's type corresponding to cases in label.pro.
-; Comment: When CONTOUR is activated, it only specify the label's type for colored isolines. 
-; For these one traced by a trait, use CONTLABEL. 
-;
-; @keyword MAXIN 
+; Comment: When CONTOUR is activated, it only specify the label's type for colored isolines.
+; For these one traced by a trait, use CONTLABEL.
+;
+; @keyword MAXIN
 ; to specify the max value we want to plot with a keyword instead of with the
 ; input parameter max. If max is defined by both, parameter and keyword, the
 ; keyword is retained.
 ;
-; @keyword MININ 
+; @keyword MININ
 ; to specify the min value we want to plot with a keyword instead of with the
 ; input parameter min. If min is defined by both, parameter and keyword, the
@@ -106,24 +106,24 @@
 ; Number of contour to draw by default =20. active if
 ; LABEL=0 or is not specified.
-; 
-; @keyword NOTRI 
-; To force not to use the triangulation. Beware, in this case, the 
-; drawing only works if the grid is undeformed (It means that each point of a longitude 
-; give one latitude and each point of a latitude give one longitude) except if we use 
-; the keyword CELL_FILL=2. 
+;
+; @keyword NOTRI
+; To force not to use the triangulation. Beware, in this case, the
+; drawing only works if the grid is undeformed (It means that each point of a longitude
+; give one latitude and each point of a latitude give one longitude) except if we use
+; the keyword CELL_FILL=2.
 ; Comment: if the field contain points !values.f_nan, then we even do a triangulation.
 ;
-; @keyword OVERPLOT 
-; To make a plot over an other one. 
-; Comment: Contrarily to the use of CONTOUR or VECTEUR, the use of this keyword 
+; @keyword OVERPLOT
+; To make a plot over an other one.
+; Comment: Contrarily to the use of CONTOUR or VECTEUR, the use of this keyword
 ; does not the caption and/or the color bar.
 ;
-; @keyword SIN 
-; Activate this keyword if we want the x axis to be traced in sinus of the 
+; @keyword SIN
+; Activate this keyword if we want the x axis to be traced in sinus of the
 ; latitude when we make a drawing f(y)
 ;
-; @keyword STRICTFILL 
-; Activate this keyword to that the filling of contours be 
-; precisely done between the min and the max specified letting values inferior at the 
+; @keyword STRICTFILL
+; Activate this keyword to that the filling of contours be
+; precisely done between the min and the max specified letting values inferior at the
 ; specified min and values superior at the specified max in white.
 ;
@@ -131,6 +131,6 @@
 ; Contour's style to adopt to draw isolines
 ;
-; @keyword WDEPTH 
-; To specify that the field is at W depth instead of T 
+; @keyword WDEPTH
+; To specify that the field is at W depth instead of T
 ; depth (automatically activated if vargrid eq 'W')
 ;
@@ -209,5 +209,5 @@
   IF usetri EQ 1 AND keyword_set(realsection) THEN usetri = 0
 ; did we specify the type ?
-  if keyword_set(typein) then BEGIN 
+  if keyword_set(typein) then BEGIN
     if size(type, /type) NE 7 AND size(type, /type) NE 0 then begin
       if n_elements(min) NE 0 then max = min
@@ -216,16 +216,16 @@
     type = typein
   ENDIF
-; 
+;
   checktypeminmax, 'pltz', TYPE = type, MIN = min, MAX = max $
     , XZ = xz, YZ = yz, ENDPOINTS = endpoints, _extra = ex
 ;
   if keyword_set(endpoints) then begin
-    section, tab, z2d, glam, gphi, ENDPOINTS = endpoints, TYPE = type $ 
+    section, tab, z2d, glam, gphi, ENDPOINTS = endpoints, TYPE = type $
     , BOXZOOM = boxzoom, DIREC = direc, WDEPTH = wdepth, _extra = ex
-    if z2d[0] EQ -1 AND n_elements(contour) ne 4 then BEGIN 
+    if z2d[0] EQ -1 AND n_elements(contour) ne 4 then BEGIN
       restoreboxparam, 'boxparam4pltz.dat'
       return
     ENDIF
-    nx = n_elements(glam) 
+    nx = n_elements(glam)
     ny = nx
     if strupcase(vargrid) EQ 'W' then begin
@@ -240,5 +240,5 @@
     z2d = checkfield(tab, 'pltz', TYPE = type, BOXZOOM = boxzoom $
                      , DIREC = direc, WDEPTH = wdepth, _extra = ex)
-    if z2d[0] EQ -1 AND n_elements(contour) ne 4 then BEGIN 
+    if z2d[0] EQ -1 AND n_elements(contour) ne 4 then BEGIN
       restoreboxparam, 'boxparam4pltz.dat'
       return
@@ -260,5 +260,5 @@
   z2d = reverse(z2d, 2)
 ;-----------------------------------------------------------------------------
-; Determination of the mi:min and of the ma:max of z2d in the same way 
+; Determination of the mi:min and of the ma:max of z2d in the same way
 ; as max: max and min: min for the drawing.
 ;-----------------------------------------------------------------------------
@@ -316,10 +316,10 @@
       z2d = remplit(z2d, nite = 1-(n_elements(maskfill) NE 0) $
                     , mask = z2d LT valmask/10, /basique, _extra = ex)
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
 ; filling the mask values with 8 neighbourg
     z2d = remplit(z2d, nite = (1+(vargrid NE 'T')+keyword_set(nan)) $
                   *(1-(n_elements(maskfill) NE 0)), mask = mask*masknan $
                   , /basique, _extra = ex)
-  ENDELSE 
+  ENDELSE
   if keyword_set(strictfill) EQ 0 AND n_elements(maskfill) EQ 0 $
     then z2d = min > z2d <  max
@@ -329,7 +329,7 @@
   ENDIF
 ;----------------------------------------------------------
-; check the mask and the triangulation according to the grid type and 
+; check the mask and the triangulation according to the grid type and
 ; nan values. find the coordinates of the mask
-;---------------------------------------------------------- 
+;----------------------------------------------------------
 ;   if (where(mask EQ 0))[0] EQ -1 AND NOT keyword_set(nan) then notri = 1
 ;   if keyword_set(notri) then trifield = -1 $
@@ -347,11 +347,11 @@
     xmask = xxaxis
     zmask = zzaxis
-  ENDELSE 
-;
-  if (usetri GE 1 AND (vargrid NE 'T' AND vargrid NE 'W')) THEN BEGIN 
+  ENDELSE
+;
+  if (usetri GE 1 AND (vargrid NE 'T' AND vargrid NE 'W')) THEN BEGIN
     IF keyword_set(realsection) THEN trimsk = triangule(mask, /basic) $
     ELSE trimsk = triangule(mask, /basic, coinmonte = coinmontemask $
                             , coindescend = coindescendmask)
-  ENDIF     
+  ENDIF
 ;------------------------------------------------------------
 ; dessin en lui meme
@@ -387,5 +387,5 @@
     return
   endif
-  if keyword_set(contour) THEN BEGIN 
+  if keyword_set(contour) THEN BEGIN
     pourlegende = [1, 1, 1, 1]
     oldattributs = saveatt()
@@ -403,5 +403,5 @@
 ; 3rd part: drawing of the frame, caption, colorbar...
 ;------------------------------------------------------------
-  if keyword_set(overplot) then BEGIN 
+  if keyword_set(overplot) then BEGIN
     !y.range =  [zoom, profmin] ; We get back on physic coordinates
     plot, [0], [0], /nodata, /noerase, title = '', subtitle = '', xstyle = 5, ystyle = 5
@@ -409,5 +409,5 @@
   endif
 ;------------------------------------------------------------
-; Caption + dysplay of them
+; Caption + display of them
 ;------------------------------------------------------------
   legende, mi, ma, type, CONTOUR = pourlegende, INTERVALLE = intervalle, DIREC = direc, endpoints = endpoints, _EXTRA = ex
@@ -423,5 +423,5 @@
 ; Y axis in 1 or 2 part
 ;------------------------------------------------------------
-  if n_elements(ex) NE 0 then BEGIN 
+  if n_elements(ex) NE 0 then BEGIN
 ; To do not put title anymore
     if (where(tag_names(ex) EQ 'TITLE'))[0] NE -1 then ex.TITLE = ' '
@@ -429,5 +429,5 @@
     if (where(tag_names(ex) EQ 'SUBTITLE'))[0] NE -1 then ex.SUBTITLE = ' '
 ; To have just one ytitle
-    if (where(tag_names(ex) EQ 'YTITLE'))[0] NE -1 then BEGIN 
+    if (where(tag_names(ex) EQ 'YTITLE'))[0] NE -1 then BEGIN
       ytitle = ex.YTITLE
       ex.YTITLE = ' '
@@ -480,5 +480,5 @@
   restoreboxparam, 'boxparam4pltz.dat'
 ;
-  if keyword_set(key_performance) NE 0 THEN print, 'temps pltz', systime(1)-tempsun 
+  if keyword_set(key_performance) NE 0 THEN print, 'temps pltz', systime(1)-tempsun
   return
 end
